WordPress : Compatibilité des extensions visible dans l’annuaire

Logo WordPressDe nombreux détenteurs de blogs et sites web ne tiennent pas à jour leurs installations WordPress par peur de perdre certaines de leurs extensions à cause d’éventuelles incompatibilités entre la nouvelle version de la solution et le plugin en question. Conscient qu’il n’est pas tolérable de laisser la sécurité de côté pour un doute, WordPress offre à ses utilisateurs la possibilité de se renseigner à ce propos.

Il intègre dans ce sens un outil à son annuaire d’extensions capable de préciser, à partir des votes des membres de sa communauté, si une version de plugin est compatible pour une release de WordPress donnée.

Wordpress : Plugin compatibility

Il vous est évidemment possible de participer à l’évaluation des plugins, une fois connectés, via les boutons Broken et Works.

Pour ce qui est de l’API, il conviendra de voir du côté de l’action plugin_information qui renvoie dorénavant la compatibilité à travers le tableau suivant :

array( {WP version} => array( {plugin version} => array( {% of reporters who say it works}, {# responses} ) ) )

Une nouvelle fonctionnalité qui ne manquera pas de nous faire gagner du temps.

Source : Blog WordPress

Baptiste Simon aka TiChou

Ingénieur développeur web dans le secteur du e-commerce et du tourisme mais avant toute chose passionné par internet et ses intarissables ressources.

Les commentaires sont fermés

Partenaires et blog à la une